#
# spec file for package perl-Gtk2-Ex-FormFactory
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Gtk2-Ex-FormFactory
Version:        0.67
Release:        pm154.1.1
%define cpan_name Gtk2-Ex-FormFactory
Summary:        Makes building complex GUI's easy
License:        This library is free software and you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation and either version 2.1 of the License, or (at your option) any later version. This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY and without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library and if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307 USA.
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Gtk2-Ex-FormFactory/
Source0:        http://www.cpan.org/authors/id/J/JR/JRED/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Gtk2)
BuildRequires:  perl(Gtk2::SimpleList)
BuildRequires:  perl(Gtk2::SimpleMenu)
Requires:       perl(Gtk2)
Requires:       perl(Gtk2::SimpleList)
Requires:       perl(Gtk2::SimpleMenu)
%{perl_requires}

%description
This is a framework which tries to make building complex GUI's easy, by
offering these two main features:

  * Consistent looking GUI without the need to code resp. tune
    each widget by hand. Instead you declare the structure of your
    GUI, connect it to the data of your program (which should be
    a well defined set of objects) and control how this structure
    is transformed into a specific layout in a very generic way.

  * Automatically keep widget and object states in sync (in both
    directions), even with complex data structures with a lot of
    internal dependencies, object nesting etc.

This manpage describes the facilities of Gtk2::Ex::FormFactory objects
which are only a small part of the whole framework. To get a full
introduction and overview of how this framework works refer to
Gtk2::Ex::FormFactory::Intro.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples LICENSE README

%changelog
* Fri Apr 17 2015 coolo@suse.com
- updated to 0.67
  see /usr/share/doc/packages/perl-Gtk2-Ex-FormFactory/Changes
* Fri Apr 17 2015 coolo@suse.com
- updated to 0.67
  see /usr/share/doc/packages/perl-Gtk2-Ex-FormFactory/Changes
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Aug 22 2010 pascal.bleser@opensuse.org
- initial package (0.65)
